<?php
/*-----------------------
Autor: Delmar Lopez
http://www.softwys.com
----------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Inicia Control de Permisos
include "../permisos.php";
//Archivo de funciones PHP
require_once "../funciones.php";
$user_id = $_SESSION['id_users'];
$date_added = date("Y-m-d H:i:s");
get_cadena($user_id);
$modulo = "Ventas";
permisos($modulo, $cadena_permisos);
/*Inicia validacion del lado del servidor*/
if (empty($_POST['id_factura'])) {
    $errors[] = "ID vacío";
} else if (
    !empty($_POST['id_factura'])

) {
    $id_factura = intval($_POST['id_factura']);
    $orden       = get_row('facturas_ordenes', 'numero_factura', 'id_factura', $id_factura);
    $monto       = get_row('facturas_ordenes', 'monto_factura', 'id_factura', $id_factura);
    $query       = mysqli_query($conexion, "select id_factura, status_orden from facturas_ordenes where status_orden=2 and  id_factura='" . $id_factura . "'");
    $count       = mysqli_num_rows($query);
    if ($count == 0) {
        if ($delete = mysqli_query($conexion, "DELETE FROM facturas_ordenes WHERE id_factura='" . $id_factura . "'")) {
            $log     = mysqli_query($conexion, "INSERT INTO log_ordenes VALUES (NULL,'$user_id','Anulacion de la orden .' '.$orden','','','','$monto','$orden','$date_added')");

?>
        <?php
        } else {
        ?>
            <div class="alert alert-danger alert-dismissible" role="alert">
                <strong>Error!</strong> Lo siento algo ha salido mal intenta nuevamente.
            </div>
        <?php

        }
    } else {
        ?>
        <div class="alert alert-danger alert-dismissible" role="alert">
            <strong>Error!</strong> No se pudo eliminar la orden. Existe Información vinculada en Facturacion.
        </div>
    <?php
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
<?php
}

?>